osl::move_generator::Capture< Action > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Private Member Functions | List of all members
osl::move_generator::Capture< Action > Class Template Reference

駒を取る手を生成 More...

`#include <capture_.h>`

## Public Member Functions
template<Player P>
void | generate (const NumEffectState &state, Square target, Action &action)
template<Player P>
void | escapeByCapture (const NumEffectState &state, Square target, Piece piece, Action &action)
template<osl::Player P>
void | generate1 (const NumEffectState &state, Square target, Action &action)

## Static Public Member Functions
template<Player P>
static void | generate (const NumEffectState &state, Square target, Action &action)
template<Player P>
static void | escapeByCapture (const NumEffectState &state, Square target, Piece piece, Action &action)
template<Player P>
static void | generate1 (const NumEffectState &state, Square target, Action &action)
| 取る手を1手だけ作る More...

## Private Member Functions
| BOOST_CLASS_REQUIRE (Action, osl::move_action, Concept)

## Detailed Description

### template<class Action>
class osl::move_generator::Capture< Action >

駒を取る手を生成

Definition at line 19 of file capture_.h.

## Member Function Documentation

template<class Action>

osl::move_generator::Capture< Action >::BOOST_CLASS_REQUIRE | ( | Action | ,
|  | osl::move_action | ,
|  | Concept |
| ) |  |
| private

template<class Action>
template<Player P>

static void osl::move_generator::Capture< Action >::escapeByCapture | ( | const NumEffectState & | state,
|  | Square | target,
|  | Piece | piece,
|  | Action & | action
| ) |  |
| static

Parameters

  target | 取る駒の位置 (can be empty)
  piece | この駒以外で取る before 2009/12/20 pinを考慮していなかった

template<class Action>
template<Player P>

void osl::move_generator::Capture< Action >::escapeByCapture | ( | const NumEffectState & | state,
|  | Square | target,
|  | Piece | piece,
|  | Action & | action
| ) |  |

Definition at line 46 of file capture_.tcc.

References osl::Piece::number(), and target.

template<class Action>
template<Player P>

static void osl::move_generator::Capture< Action >::generate | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action
| ) |  |
| static

Parameters

  target | 取る駒の位置 (can be empty)

template<class Action>
template<Player P>

void osl::move_generator::Capture< Action >::generate | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action
| ) |  |

Definition at line 36 of file capture_.tcc.

References osl::Square::isOnBoard(), and target.

template<class Action>
template<Player P>

static void osl::move_generator::Capture< Action >::generate1 | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action
| ) |  |
| static

取る手を1手だけ作る

Parameters

  target | 取る駒の位置 (can be empty)

template<class Action>
template<osl::Player P>

void osl::move_generator::Capture< Action >::generate1 | ( | const NumEffectState & | state,
|  | Square | target,
|  | Action & | action
| ) |  |

Definition at line 59 of file capture_.tcc.

References osl::Piece::isPiece().

The documentation for this class was generated from the following files:

- capture_.h
- capture_.tcc